org.apache.sling.auth.xing.login.impl

## Class DefaultXingLoginUserManager

- java.lang.Object
- - org.apache.sling.auth.xing.api.AbstractXingUserManager
  - - org.apache.sling.auth.xing.login.impl.DefaultXingLoginUserManager

All Implemented Interfaces:
  org.apache.sling.auth.xing.api.XingUserManager, XingLoginUserManager

    @Service
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Default User Manager for Sling Authentication XING Login"),@Property(name="service.ranking",intValue=0,propertyPrivate=false)})
    public class DefaultXingLoginUserManager
    extends org.apache.sling.auth.xing.api.AbstractXingUserManager
    implements XingLoginUserManager

### Field Summary

### Fields inherited from class org.apache.sling.auth.xing.api.AbstractXingUserManager

`autoCreateUser, autoUpdateUser, DEFAULT_AUTO_CREATE_USER, DEFAULT_AUTO_UPDATE_USER, session`

### Constructor Summary

Constructors
Constructor and Description
`DefaultXingLoginUserManager()`

### Method Summary

Methods
`protected void` `activate(org.osgi.service.component.ComponentContext componentContext)`
`protected void` `configure(org.osgi.service.component.ComponentContext componentContext)`
`org.apache.jackrabbit.api.security.user.User` `createUser(javax.jcr.Credentials credentials)`
`protected void` `deactivate(org.osgi.service.component.ComponentContext componentContext)`
`String` `getHash(org.apache.jackrabbit.api.security.user.User user)`
`protected org.apache.sling.jcr.api.SlingRepository` `getSlingRepository()`
`protected void` `modified(org.osgi.service.component.ComponentContext componentContext)`
`protected org.apache.jackrabbit.api.security.user.User` `storeUser(javax.jcr.Credentials credentials)`
`org.apache.jackrabbit.api.security.user.User` `updateUser(javax.jcr.Credentials credentials)`

### Methods inherited from class org.apache.sling.auth.xing.api.AbstractXingUserManager

`autoCreate, autoUpdate, getSession, getUser, getUser, getUserManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.auth.xing.api.XingUserManager

`autoCreate, autoUpdate, getUser`

### Constructor Detail

#### DefaultXingLoginUserManager

    public DefaultXingLoginUserManager()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.service.component.ComponentContext componentContext)

#### modified

    @Modified
    protected void modified(org.osgi.service.component.ComponentContext componentContext)

#### deactivate

    @Deactivate
    protected void deactivate(org.osgi.service.component.ComponentContext componentContext)

#### configure

    protected void configure(org.osgi.service.component.ComponentContext componentContext)

#### getSlingRepository

    protected org.apache.sling.jcr.api.SlingRepository getSlingRepository()

Specified by:
  `getSlingRepository` in class `org.apache.sling.auth.xing.api.AbstractXingUserManager`

#### createUser

    public org.apache.jackrabbit.api.security.user.User createUser(javax.jcr.Credentials credentials)

Specified by:
  `createUser` in interface `org.apache.sling.auth.xing.api.XingUserManager`

#### updateUser

    public org.apache.jackrabbit.api.security.user.User updateUser(javax.jcr.Credentials credentials)

Specified by:
  `updateUser` in interface `org.apache.sling.auth.xing.api.XingUserManager`

#### storeUser

    protected org.apache.jackrabbit.api.security.user.User storeUser(javax.jcr.Credentials credentials)

#### getHash

    public String getHash(org.apache.jackrabbit.api.security.user.User user)

Specified by:
  `getHash` in interface `XingLoginUserManager`